package wtf.opal.event.impl.game.player.interaction;

import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.entity.Entity;

@Environment(EnvType.CLIENT)
public final class AttackEvent {
   private final Entity target;

   public AttackEvent(Entity target) {
      this.target = target;
   }

   public Entity getTarget() {
      return this.target;
   }
}
